Bug 646086 - (CVE-2010-4054) CVE-2010-4054 ghostscript: glyph data access improper input validation
CVE-2010-4054 ghostscript: glyph data access improper input validation
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
public=20100104,reported=20101022,sou...
: Security
Depends On: 647405 760157 760158 760159 760160 760161
Blocks: 733386 806689
  Show dependency treegraph
 
Reported: 2010-10-24 06:25 EDT by Jan Lieskovsky
Modified: 2016-03-04 05:52 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-02 17:49:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2010-10-24 06:25:27 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2010-4054 to
the following vulnerability:

The gs_type2_interpret function in Ghostscript allows remote attackers
to cause a denial of service (incorrect pointer dereference and
application crash) via crafted font data in a compressed data stream,
aka bug 691043.

References:
[1] http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2010-4054
[2] http://ghostscript.com/pipermail/gs-cvs/2010-January/010333.html
[3] http://www.kb.cert.org/vuls/id/538191

Upstream bug report:
[4] http://bugs.ghostscript.com/show_bug.cgi?id=691043
Comment 2 Jan Lieskovsky 2010-10-24 06:33:43 EDT
This issue affects the versions of the ghostscript package, as shipped
with Red Hat Enterprise Linux 3, 4, and 5.

--

This issue affects the version of the ghostscript package, as shipped
with Fedora release of 12.

This issue does not affect the version of the ghostscript package, as
shipped with Fedora release of 13 (updated ghostscript package is already
present in Fedora 13 -testing repository and will shortly reach -stable
branch).
Comment 4 Huzaifa S. Sidhpurwala 2010-10-28 05:17:38 EDT
Created ghostscript tracking bugs for this issue

Affects: fedora-12 [bug 647405]
Comment 5 Tim Waugh 2010-10-28 05:57:59 EDT
Looks to me like Fedora 12 has not been affected since February, which is when it was updated to 8.71.
Comment 14 errata-xmlrpc 2012-02-02 17:33:10 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4

Via RHSA-2012:0096 https://rhn.redhat.com/errata/RHSA-2012-0096.html
Comment 15 errata-xmlrpc 2012-02-02 17:45:47 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2012:0095 https://rhn.redhat.com/errata/RHSA-2012-0095.html
Comment 16 Vincent Danen 2012-02-02 17:49:51 EST
Statement:

(none)

Note You need to log in before you can comment on or make changes to this bug.